| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
GaudiPython::HistoDecorator Class Reference

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin. More...

`#include <GaudiPython/HistoDecorator.h>`

## Public Types
typedef std::vector< GaudiAlg::ID > | IDs
typedef std::vector< AIDA::IHistogram1D * > | Histos1D
typedef std::vector< AIDA::IHistogram2D * > | Histos2D
typedef std::vector< AIDA::IHistogram3D * > | Histos3D
typedef std::vector< AIDA::IProfile1D * > | Profiles1D
typedef std::vector< AIDA::IProfile2D * > | Profiles2D

## Static Public Member Functions
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Profiles2D &histos)

## Detailed Description

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 26 of file HistoDecorator.h.

## Member Typedef Documentation

typedef std::vector<AIDA::IHistogram1D*> GaudiPython::HistoDecorator::Histos1D

Definition at line 31 of file HistoDecorator.h.

typedef std::vector<AIDA::IHistogram2D*> GaudiPython::HistoDecorator::Histos2D

Definition at line 32 of file HistoDecorator.h.

typedef std::vector<AIDA::IHistogram3D*> GaudiPython::HistoDecorator::Histos3D

Definition at line 33 of file HistoDecorator.h.

typedef std::vector<GaudiAlg::ID> GaudiPython::HistoDecorator::IDs

Definition at line 30 of file HistoDecorator.h.

typedef std::vector<AIDA::IProfile1D*> GaudiPython::HistoDecorator::Profiles1D

Definition at line 34 of file HistoDecorator.h.

typedef std::vector<AIDA::IProfile2D*> GaudiPython::HistoDecorator::Profiles2D

Definition at line 35 of file HistoDecorator.h.

## Member Function Documentation

size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 746 of file HistoDecorator.cpp.

749 {
750 histos.clear() ;
751 ids .clear() ;
752 return cmp ? fromMap ( cmp -> histo1DMapID () , ids , histos ) : 0;
753 // ==========================================================================
754 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13

size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 768 of file HistoDecorator.cpp.

771 {
772 ids . clear() ;
773 histos . clear() ;
774 return cmp ? _histos_a_ ( dynamic_cast<const GaudiHistoAlg*> ( cmp ) , ids, histos ) : 0;
775 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiPython::HistoDecorator::_histos_a_
static size_t _histos_a_(const GaudiHistoAlg *cmp, IDs &ids, Histos1D &histos)
Definition: HistoDecorator.cpp:746

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 757 of file HistoDecorator.cpp.

760 {
761 histos.clear() ;
762 ids .clear() ;
763 return cmp ? fromMap( cmp -> histo1DMapID () , ids , histos ) : 0;
764 // ==========================================================================
765 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13

size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 778 of file HistoDecorator.cpp.

781 {
782 ids . clear() ;
783 histos . clear() ;
784 return cmp ? _histos_t_ ( dynamic_cast<const GaudiHistoTool*> ( cmp ) , ids, histos ) : 0;
785 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiPython::HistoDecorator::_histos_t_
static size_t _histos_t_(const GaudiHistoTool *cmp, IDs &ids, Histos1D &histos)
Definition: HistoDecorator.cpp:757

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 31 of file HistoDecorator.cpp.

37 { return algo.plot1D( data , title , low , high , bins ) ; }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:137

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 51 of file HistoDecorator.cpp.

58 { return algo.plot1D( data , ID , title , low , high , bins ) ; }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:137

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 72 of file HistoDecorator.cpp.

79 { return algo.plot1D( data , ID , title , low , high , bins ) ; }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:137

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 93 of file HistoDecorator.cpp.

100 { return algo.plot1D( data , ID , title , low , high , bins ) ; }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:137

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 113 of file HistoDecorator.cpp.

119 {
120 return algo.plot
121 ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
122 data.begin () ,
123 data.end () ,
124 title , low , high , bins ) ;
125 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 139 of file HistoDecorator.cpp.

146 {
147 return algo.plot
148 ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
149 data.begin () ,
150 data.end () ,
151 ID , title , low , high , bins ) ;
152 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 166 of file HistoDecorator.cpp.

173 {
174 return algo.plot
175 ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
176 data.begin () ,
177 data.end () ,
178 ID , title , low , high , bins ) ;
179 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 193 of file HistoDecorator.cpp.

200 {
201 return algo.plot
202 ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
203 data.begin () ,
204 data.end () ,
205 ID , title , low , high , bins ) ;
206 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 223 of file HistoDecorator.cpp.

234 {
235 return algo.plot2D ( valueX , valueY ,
236 title ,
237 lowX , highX ,
238 lowY , highY ,
239 binsX , binsY , weight ) ;
240 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:150

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

fill the 2D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 258 of file HistoDecorator.cpp.

270 {
271 return algo.plot2D ( valueX , valueY ,
272 ID , title ,
273 lowX , highX ,
274 lowY , highY ,
275 binsX , binsY , weight ) ;
276 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:150

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 294 of file HistoDecorator.cpp.

306 {
307 return algo.plot2D ( valueX , valueY ,
308 ID , title ,
309 lowX , highX ,
310 lowY , highY ,
311 binsX , binsY , weight ) ;
312 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:150

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 330 of file HistoDecorator.cpp.

342 {
343 return algo.plot2D ( valueX , valueY ,
344 ID , title ,
345 lowX , highX ,
346 lowY , highY ,
347 binsX , binsY , weight ) ;
348 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:150

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 369 of file HistoDecorator.cpp.

384 {
385 return algo. plot3D ( valueX , valueY , valueZ ,
386 title ,
387 lowX , highX ,
388 lowY , highY ,
389 lowZ , highZ ,
390 binsX , binsY , binsZ ,
391 weight ) ;
392 }
GaudiPython::HistoDecorator::plot3D
static AIDA::IHistogram3D * plot3D(const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
fill the 3D histogram (book on demand)
Definition: HistoDecorator.cpp:369

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 413 of file HistoDecorator.cpp.

429 {
430 return algo. plot3D ( valueX , valueY , valueZ ,
431 ID , title ,
432 lowX , highX ,
433 lowY , highY ,
434 lowZ , highZ ,
435 binsX , binsY , binsZ ,
436 weight ) ;
437 }
GaudiPython::HistoDecorator::plot3D
static AIDA::IHistogram3D * plot3D(const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
fill the 3D histogram (book on demand)
Definition: HistoDecorator.cpp:369

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 458 of file HistoDecorator.cpp.

474 {
475 return algo. plot3D ( valueX , valueY , valueZ ,
476 ID , title ,
477 lowX , highX ,
478 lowY , highY ,
479 lowZ , highZ ,
480 binsX , binsY , binsZ ,
481 weight ) ;
482 }
GaudiPython::HistoDecorator::plot3D
static AIDA::IHistogram3D * plot3D(const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
fill the 3D histogram (book on demand)
Definition: HistoDecorator.cpp:369

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 504 of file HistoDecorator.cpp.

520 {
521 return algo. plot3D ( valueX , valueY , valueZ ,
522 ID , title ,
523 lowX , highX ,
524 lowY , highY ,
525 lowZ , highZ ,
526 binsX , binsY , binsZ ,
527 weight ) ;
528 }
GaudiPython::HistoDecorator::plot3D
static AIDA::IHistogram3D * plot3D(const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
fill the 3D histogram (book on demand)
Definition: HistoDecorator.cpp:369

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 534 of file HistoDecorator.cpp.

545 {
546 return algo.profile1D
547 ( valueX , valueY , title , lowX , highX , binsX ,
548 opt , lowY , highY , weight ) ;
549 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:148

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 555 of file HistoDecorator.cpp.

567 {
568 return algo.profile1D
569 ( valueX , valueY , ID , title , lowX , highX , binsX ,
570 opt , lowY , highY , weight ) ;
571 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:148

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 577 of file HistoDecorator.cpp.

589 {
590 return algo.profile1D
591 ( valueX , valueY , ID , title , lowX , highX , binsX ,
592 opt , lowY , highY , weight ) ;
593 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:148

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 599 of file HistoDecorator.cpp.

611 {
612 return algo.profile1D
613 ( valueX , valueY , ID , title , lowX , highX , binsX ,
614 opt , lowY , highY , weight ) ;
615 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:148

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 621 of file HistoDecorator.cpp.

633 {
634 return algo.profile2D
635 ( valueX , valueY , valueZ ,
636 title ,
637 lowX , highX ,
638 lowY , highY ,
639 binsX , binsY , weight ) ;
640 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:149

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 646 of file HistoDecorator.cpp.

659 {
660 return algo.profile2D
661 ( valueX , valueY , valueZ ,
662 ID , title ,
663 lowX , highX ,
664 lowY , highY ,
665 binsX , binsY , weight ) ;
666 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:149

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 672 of file HistoDecorator.cpp.

685 {
686 return algo.profile2D
687 ( valueX , valueY , valueZ ,
688 ID , title ,
689 lowX , highX ,
690 lowY , highY ,
691 binsX , binsY , weight ) ;
692 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:149

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 698 of file HistoDecorator.cpp.

711 {
712 return algo.profile2D
713 ( valueX , valueY , valueZ ,
714 ID , title ,
715 lowX , highX ,
716 lowY , highY ,
717 binsX , binsY , weight ) ;
718 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:149

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/HistoDecorator.h
- GaudiPython/src/Lib/HistoDecorator.cpp